% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/autoplot.R
\name{autoplot.nacho}
\alias{autoplot.nacho}
\title{Plot quality-control metrics and thresholds}
\usage{
\method{autoplot}{nacho}(object, x, colour = "CartridgeID", size = 0.5,
  show_legend = TRUE, attribute = NULL, ...)
}
\arguments{
\item{object}{[\link{list}] List obtained from \link{summarise} or \link{normalise}.}

\item{x}{[\link{character}] Character string naming the quality-control metrics to plot from \code{nacho_object}.
The possible values are:
\itemize{
\item \code{"BD"} (Binding Density)
\item \code{"FoV"} (Imaging)
\item \code{"PC"} (Positive Control Linearity)
\item \code{"LoD"} (Limit of Detection)
\item \code{"Positive"} (Positive Controls)
\item \code{"Negative"} (Negative Controls)
\item \code{"Housekeeping"} (Housekeeping Genes)
\item \code{"PN"} (Positive Controls vs. Negative Controls)
\item \code{"ACBD"} (Average Counts vs. Binding Density)
\item \code{"ACMC"} (Average Counts vs. Median Counts)
\item \code{"PCA12"} (Principal Component 1 vs. 2)
\item \code{"PCAi"} (Principal Component scree plot)
\item \code{"PCA"} (Principal Components planes)
\item \code{"PFNF"} (Positive Factor vs. Negative Factor)
\item \code{"HF"} (Housekeeping Factor)
\item \code{"NORM"} (Normalisation Factor)
}}

\item{colour}{[\link{character}] Character string of the column in \code{ssheet_csv}
or more generally in \code{nacho_object$nacho} to be used as grouping colour.}

\item{size}{[\link{numeric}] A \code{numeric} controlling point size (\link{geom_point} or \link{geom_beeswarm})
or line size (\link{geom_line}).}

\item{show_legend}{[\link{logical}] Boolean to indicate whether the plot legends should
be plotted (\code{TRUE}) or not (\code{FALSE}). Default is \code{TRUE}.}

\item{attribute}{[\link{character}] A character string to indicate which RCC attributes should be used}

\item{...}{Other arguments (Not used).}
}
\description{
This function allows to plot any qualit-control figures available
within the shiny app using \link{visualise} or in the HTML report from \link{render}.
}
\examples{

data(GSE74821)
autoplot(GSE74821, x = "BD")
autoplot(GSE74821, x = "PCA12")
autoplot(GSE74821, x = "NORM")

}
